Mailinglist Archive: opensuse-buildservice (311 mails)

< Previous Next >
Re: [opensuse-buildservice] Re: ubuntu/debian dpkg-dev dependency circle problems
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Sun, 29 Nov 2009 16:02:57 +0100
  • Message-id: <200911291602.57752.adrian@xxxxxxx>
Am Sonntag, 29. November 2009 12:36:50 schrieb schoappied:
schoappied wrote:
Hi,


I have a 'dependency circle problem'...

dpkg-dev build status:
nothing provides xz-utils needed by dpkg-dev, nothing provides
base-files >= 5.0.0 needed by dpkg-dev


build status xz-utils:
nothing provides xz-utils needed by dpkg-dev, nothing provides
base-files >= 5.0.0 needed by dpkg-dev

these are no cycles. You build a new dpkg-dev, replacing the one from the
distro. So, you should have built also the new packages it does require.

But replacing base packages is always tricky, do this only when you exactly
know what you are doing.

bye
adrian


https://build.opensuse.org/package/show?package=dpkg-dev&project=home%3Ar
oooz

https://build.opensuse.org/package/show?package=xz-utils&project=home%3Ar
oooz



Any idea how to break the circle?

~ D

solved by skipping building for 8.04 ...


~ D


--

Adrian Schroeter
SUSE Linux Products GmbH
email: adrian@xxxxxxx

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
References